# ## Schema Information
#
# Table name: `gi_job_files`
#
# ### Columns
#
# Name                         | Type               | Attributes
# ---------------------------- | ------------------ | ---------------------------
# **`id`**                     | `bigint`           | `unsigned, not null, primary key`
# **`gi_job_transaction_id`**  | `bigint`           |
# **`division`**               | `string(255)`      |
# **`name`**                   | `string(255)`      | `not null`
# **`file`**                   | `json`             |
# **`rows`**                   | `integer`          | `unsigned`
# **`size`**                   | `bigint`           | `unsigned`
# **`created_at`**             | `datetime`         | `not null`
# **`updated_at`**             | `datetime`         | `not null`
#
# ### Indexes
#
# * `gi_job_files_ix1`:
#     * **`gi_job_transaction_id`**
# * `index_gi_job_files_on_gi_job_transaction_id`:
#     * **`gi_job_transaction_id`**
#
class GiJobFile < ApplicationRecord
  include GiJob::Models::Concerns::GiJobFileable
end
