require "gi_job/version"
require "gi_job/jobs/job_utils"
require "gi_job/jobs/job_command_suspended"
require "gi_job/jobs/concerns/jobable"
require "gi_job/models/concerns/gi_job_transactionable"
require "gi_job/models/concerns/gi_job_loggable"
require "gi_job/models/concerns/gi_job_fileable"
require "gi_job/models/concerns/gi_job_ownerble"

module GiJob
  class Error < StandardError; end
  # Your code goes here...

  def self.logger
    @logger ||= Rails::Logger.new($stdout, level: Rails::Logger::INFO)
  end
  def self.logger=(logger)
    @logger = logger
  end

  def self.run
    puts "GiJob call run!!"
    puts "aaa!"
    puts "abc!"
  end

  class GiJobRailtie < Rails::Railtie
    rake_tasks do
      load 'gi_job/tasks/gi_job_task.rake'
    end
  end
end
