require "gi_job/jobs/concerns/job_constructor"
require "gi_job/jobs/concerns/job_runner"

module GiJob
  module Jobs
    module Concerns
      module Jobable

        extend ActiveSupport::Concern
        included do # begin included
          include GiJob::Jobs::Concerns::JobConstructor
          include GiJob::Jobs::Concerns::JobRunner

          def abc()
            puts "abc!"
          end
        end # end included

        class_methods do # begin class_methods
          def abcd()
            puts "abc!"
          end
        end

      end
    end
  end
end
