module GiJob
  module Models
    module Concerns
      module GiJobLoggable

        extend ActiveSupport::Concern

        included do # begin included

          belongs_to :gi_job_transaction

          enum level: {
            info:    100,
            warning: 200,
            error:   300,
          }, _prefix: true

        end # end included

        class_methods do # begin class_methods
        end # end class_methods

      end # end GiJobLoggable
    end
  end
end
