class GiLogFileCarrierWaveUploader < CarrierWave::Uploader::Base

  def store_dir
    "#{Rails.env}/uploads/#{model.class.to_s.underscore}/#{mounted_as}/#{model.id}"
  end

  # def extension_white_list
  #   %w(txt csv)
  # end

  def filename
    if original_filename.present?
      "#{original_filename}"
    end
  end

  def fog_public
    false
  end

  def fog_authenticated_url_expiration
    5.minutes
  end

end
