module GiJob
  module Jobs
    class JobUtils

      def logging_fatal(execption)
        GiJob.logger.fatal(execption.message)
        GiJob.logger.fatal(execption.backtrace.join("\n"))
      end

      def self.check_job_suspended(gi_job_transaction)
        if gi_job_transaction.process_status_suspended?
          # 一時停止の場合は解除する
          gi_job_transaction.append_log_info(division: "job再開", description: "ジョブを再開しました")
          gi_job_transaction.process_status_none!
        end
      end

    end # end JobUtils
  end
end

# Commons::GemUtils.reload("/gems/gi_job/lib/gi_job") && reload! && ConsoleTest.new.test_c
